/*一般按鈕*/
.btok.elementor-widget-button .elementor-button-content-wrapper{gap: var(--space-12)!important;}
.btok.elementor-widget-button a.elementor-button{
        background-color: var( --e-global-color-primary )!important;
    fill: var( --e-global-color-527524c )!important;
    color: var( --e-global-color-527524c )!important;
    font-size: var(--btn_font)!important;
    font-weight: var( --e-global-typography-a9cc10c-font-weight )!important;
    line-height: var( --e-global-typography-a9cc10c-line-height )!important;
    letter-spacing: var( --e-global-typography-a9cc10c-letter-spacing )!important;
    border-radius: var(--radius-10)!important;
    padding: var(--space-12) var(--space-20) calc(var(--space-12) + 2px) calc(var(--space-20) + 2px)!important;
}
.btok svg{inline-size: 1.3em!important;}
.btok.elementor-widget-button a.elementor-button:hover{background-color: #da7716!important;}

/*無色按鈕*/
.btnc.elementor-widget-button .elementor-button-content-wrapper{gap: var(--space-10)!important;}
.btnc.elementor-widget-button a.elementor-button{
    background-color: #00000000!important;
    fill: var( --e-global-color-527524c )!important;
    color: var( --e-global-color-text )!important;
    font-size: var(--btn_font)!important;
    font-weight: var( --e-global-typography-a9cc10c-font-weight )!important;
    line-height: var( --e-global-typography-a9cc10c-line-height )!important;
    letter-spacing: var( --e-global-typography-a9cc10c-letter-spacing )!important;
    border-radius: var(--radius-10)!important;
    padding: var(--space-12) 0px calc(var(--space-12) + 2px) var(--space-12)!important;
}
.btnc svg{inline-size: 1.3em!important;fill: var( --e-global-color-text )!important;}
.btnc.elementor-widget-button a.elementor-button:hover{color: var( --e-global-color-primary )!important;}
.btnc.elementor-widget-button a.elementor-button:hover svg{fill: var( --e-global-color-primary )!important;}

/*無框按鈕*/
.btnf.elementor-widget-button .elementor-button-content-wrapper{gap: var(--space-12)!important;position: relative;}
.btnf.elementor-widget-button a.elementor-button{
    background-color:#00000000!important;
    color: var( --e-global-color-primary )!important;
    font-size: var(--btn_font)!important;
    font-weight: var( --e-global-typography-a9cc10c-font-weight )!important;
    line-height: var( --e-global-typography-a9cc10c-line-height )!important;
    letter-spacing: var( --e-global-typography-a9cc10c-letter-spacing )!important;
    padding: 0px!important;
}
.btnf.elementor-widget-button a.elementor-button:hover{
    color: #6D563C!important;
}
.btnf path{fill:#6D563C!important;}
.btnf svg{inline-size: 1.1em!important;}
.btnf.elementor-widget-button a.elementor-button svg{transition: all 0.2s ease-out;transform: translateX(0px);
    opacity: 1;}
.btnf.elementor-widget-button a.elementor-button:hover svg{transform: translateX(3px);
    opacity: 0;}
.btnf.elementor-widget-button a.elementor-button .elementor-button-content-wrapper::after {
    content: " ";
  display:block;
    position: absolute;
    right: 0;
  width:1.4em;
  height:1.4em;
    background-image: url(/wp-content/uploads/2026/05/icon-logo-color.svg);
background-position: center center;
background-repeat: no-repeat;
background-size: 100% auto;
    transition: all 0.2s ease-out;
    transform: translateX(-5px);
    opacity: 0;
}
.btnf.elementor-widget-button a.elementor-button:hover .elementor-button-content-wrapper::after{
    transform: translateX(3px);
    opacity: 1;
}

/*循環箭頭*/
.elementor-swiper-button,.swiper-button-left,.swiper-button-right{
    background-color: #fff;
    padding: var(--space-15);
    @media (width < 767px){
    padding: var(--space-8);
  }
    border-radius: var(--radius-10);
    border: 1px solid var( --e-global-color-primary )!important;
}
.elementor-swiper-button svg,.swiper-button-left svg,.swiper-button-right svg{
    height: var(--space-24)!important;
    width:var(--space-24)!important;
    @media (width < 767px){
    height: var(--space-20)!important;
    width:var(--space-20)!important;
  }
    fill:var( --e-global-color-primary )!important;
}
.elementor-swiper-button:hover,.swiper-button-left:hover,.swiper-button-right:hover{
    background-color: var( --e-global-color-primary );
}
.elementor-swiper-button:hover svg,.swiper-button-left:hover svg,.swiper-button-right:hover svg{fill:#fff!important;}

.sswiper .elementor-swiper-button{
    padding: var(--space-10);
    @media (width < 767px){
    padding: var(--space-8);
  }
}
.sswiper .swiper-button-left,.sswiper .swiper-button-right{
    padding: var(--space-10) var(--space-10) 3px var(--space-10);
    @media (width < 767px){
    padding: 0px var(--space-8) 0px var(--space-8);
  }
}
.sswiper .elementor-swiper-button svg,.sswiper .swiper-button-left svg,.sswiper .swiper-button-right svg{
    height: var(--space-20)!important;
    width:var(--space-20)!important;
    @media (width < 767px){
    height: var(--space-20)!important;
    width:var(--space-20)!important;
  }
}

/*elementor-lightbox按鈕*/
.elementor-lightbox .elementor-swiper-button{
    width: var(--space-60)!important;
    height: var(--space-60)!important;
}
.elementor-lightbox .elementor-swiper-button .eicon-chevron-left::before,.elementor-lightbox .elementor-swiper-button .eicon-chevron-right::before{
    color: var( --e-global-color-primary )!important;
}
.elementor-lightbox .elementor-swiper-button:hover .eicon-chevron-left::before,.elementor-lightbox .elementor-swiper-button:hover .eicon-chevron-right::before{
    color: #fff!important;
}
@media screen and (max-width: 767px){
    .elementor-lightbox .elementor-swiper-button{
    width: var(--space-40)!important;
    height: var(--space-40)!important;
}
 .elementor-lightbox .elementor-swiper-button i{
     background-color: #00000000!important;
     padding: 7px!important;
 }
.elementor-lightbox .elementor-swiper-button .eicon-chevron-left{
        transform: translateX(-12px) scale(0.86);
    }
    .elementor-lightbox .elementor-swiper-button .eicon-chevron-right{
        transform: translateX(14px) scale(0.86);
    }
}

/*循環小球*/
.swiper-pagination-bullet {
    background:var( --e-global-color-primary )!important;
    width:var(--space-10)!important;
    height:var(--space-10)!important;
    margin:0 7px!important;
    position: relative;
    transition: all 0.2s ease-out;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active::after {
      content: " ";
    display: flex;
    width: var(--space-20)!important;
    height: var(--space-20)!important;
    border-radius: 50%;
    border: 1px solid var( --e-global-color-primary );
    position: absolute;
    top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/*頁面選單*/
.pagemenu .elementor-nav-menu{
    gap:var(--space-8) var(--space-10);
}
.pagemenu .menu-item a{
    border-radius: var(--radius-6)!important;
    border: 1px solid var(--e-global-color-primary);
}
.pagemenu .menu-item a{
    background-color: #fff;
}
.pagemenu .menu-item a:hover,.pagemenu .menu-item a.elementor-item-active{
    background-color: var(--e-global-color-primary);
}
.pagemenu h2{
    margin-block-end: 0rem!important;
    margin-block-start: 0rem!important;
}